<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		global $group;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Date',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		if ( $group != '' ) {
			$this->Cell(20,6,'User',1,0,'C',true);
			$this->Cell(30,6,'Tipe',1,0,'C',true);
			$this->Cell(60,6,'Deskripsi',1,0,'C',true);
		} else {
			$this->Cell(30,6,'Member Name',1,0,'C',true);
			$this->Cell(15,6,'User',1,0,'C',true);
			$this->Cell(25,6,'Tipe',1,0,'C',true);
			$this->Cell(40,6,'Description',1,0,'C',true);
		}
		$this->Cell(30,6,'Deduct Amount',1,0,'C',true);
		$this->Ln(7);
	}

	function SubHeader($value){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$value,0,0,'',true);
		$this->Ln(5);
	}

	function Isi ($col1,$col2,$col3,$col4,$col5,$col6,$col7){
		global $font;
		global $group;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,$col1,0,0,'C',true);
		$this->Cell(30,6,$col2,0,0,'',true);
		if ( $group != '' ) {
			$this->Cell(20,6,$col7,0,0,'',true);
			$this->Cell(30,6,$col6,0,0,'',true);
			$this->Cell(60,6,$col4,0,0,'',true);
		} else {
			$this->Cell(30,6,$col3,0,0,'',true);
			$this->Cell(15,6,$col7,0,0,'',true);
			$this->Cell(25,6,$col6,0,0,'',true);
			$this->Cell(40,6,$col4,0,0,'',true);
		}
		$this->Cell(30,6,$col5,0,0,'R',true);
		$this->Ln(5);
	}

	function subtotal ($sub1){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,5,'Subtotal',1,0,'C',true);
		$this->Cell(30,5,$sub1,1,0,'R',true);
		$this->Ln(6);
	}

	function total ($total){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,6,'Total',1,0,'C',true);
		$this->Cell(30,6,$total,1,0,'R',true);
		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( $_POST['viewby'] == 1 ) {
	$viewby = " AND tblmutasi.Catatan != ''";
} else if ( $_POST['viewby'] == 2 ) {
	$viewby = " AND tblmutasi.Catatan = ''";
} else {
	$viewby = "";
}

if ( $_POST['groupby'] == 1 ) {
	$groupby = "GROUP BY KodeCabang ORDER BY tblmutasi.KodeCabang ASC";
} else if ( $_POST['groupby'] == 2 ) {
	$groupby = "GROUP BY LunTipID ORDER BY LunasTipe ASC";
} else if ( $_POST['groupby'] == 3 ) {
	$groupby = "GROUP BY tblmutasi.Input_Oleh ORDER BY tblmutasi.Input_Oleh ASC";
} else {
	$groupby = "";
}

if ( $_POST['cabang'] != -1) {
	$wherecab = "(tblmutasi.KodeCabang = " . $_POST['cabang'] .") ";
} else {
	$wherecab = "";
}

if ( isset($_POST['bulanan']) ) {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month : ' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$wheretanggal = "(YEAR(tblmutasi.Input_DateTime) = '$tahun' AND MONTH(tblmutasi.Input_DateTime) = '$bulan')";
} else {
	$tanggal = JQueryDate2Date($_POST['tanggal']);
	$detail = 'For Date : ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '');
	$wheretanggal = "(tblmutasi.Input_DateTime BETWEEN '$tanggal' AND ('$tanggal'+INTERVAL 1 DAY))";
}

if ($wherecab != ""){
	$wherecond = "WHERE Kredit > 0 AND tblmutasi.Catatan NOT LIKE 'PJECR ID%' AND " . $wherecab . " AND " . $wheretanggal;
} else {
	$wherecond = "WHERE Kredit > 0 AND tblmutasi.Catatan NOT LIKE 'PJECR ID%' AND " . $wheretanggal;
}

$tipelunas = $_POST['tipelunas'];
if ( $tipelunas > 0 ) {
	$wherecond .= ' AND LunTipID = ' . $tipelunas;
}

if ($_SESSION['user_level'] > 1 ) {
	$wherecond .= ' AND tblmutasi.Input_Oleh = ' . $_SESSION['login_userid'];	
} else {
	$userinputarray = isset($_POST['userinput']) ? $_POST['userinput'] : array() ;
	if ( count($userinputarray) > 0 ) {
		$in = '';
		foreach ( $userinputarray as $userinput ) {
			if ( $in != '' ) {
				$in .= ', ';
			}
			$in .= $userinput;
		}
		$wherecond .= ' AND tblmutasi.Input_Oleh IN (' . $in . ')';
	}
}

// pdf setting
$group = isset($_POST['groupremark']) ? $_POST['groupremark'] : '' ;
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Deduct Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');

$pdf->AliasNbPages();
$pdf->AddPage('P','A4');
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$kredit = array();

if ( isset($_POST['groupremark']) ) { //tidak pakai

	$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Catatan AS Catatan, tblcabang.NamaCabang AS NamaCabang, tblpelang.Nama AS Nama, (SELECT LunasTipe FROM tblluntip WHERE ID = tblmutasi. LunTipID) AS LunasTipe, IF( Kredit > 0, 'Top Up', 'Deduct' ) as Catatan2, ( SELECT User FROM tbluser WHERE UserID = tblmutasi.Input_Oleh ) AS NamaInput";
	$perintahdb = "$select FROM tblmutasi INNER JOIN tblcabang ON tblmutasi.KodeCabang = tblcabang.KodeCabang INNER JOIN tblpelang ON tblmutasi.PelangID = tblpelang.ID $wherecond GROUP BY tblmutasi.Catatan ORDER BY tblmutasi.KodeCabang ASC";
	$sqlquery = DBQuery( $perintahdb );
	while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {
		$catatan = $sqlrow['Catatan'];
		$totalkredit = 0;
		$perintahdb2 = "SELECT Kredit FROM tblmutasi $wherecond AND Catatan LIKE '$catatan' ORDER BY tblmutasi.KodeCabang ASC";
		$sqlquery2 = DBQuery( $perintahdb2 );
		while( $sqlrow2 = DBFetchAssoc( $sqlquery2 ) ) {
			$kredit[] = $sqlrow2['Kredit'];
			$totalkredit += $sqlrow2['Kredit'];
		}
		if ( !$sqlquery2 ) {
			die($sqlquery2);
		}
		$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Nama'] , $sqlrow['Catatan2'] . ( ( $sqlrow['Catatan'] != '' ) ? ' - ' . $sqlrow['Catatan'] : '' ), @ShowFormatDigitNumber($totalkredit), $sqlrow['LunasTipe'], $sqlrow['NamaInput']);
	}
	if ( !$sqlquery ) {
		die($sqlquery);
	}

	$total = array_sum($kredit);
	$pdf->total ( @ShowFormatDigitNumber($total) );
	@DBQueryFree($sqlquery);

}
 else {

	//get database
	if ( strlen($groupby) > 0 ) {
		$perintahdb2 = "SELECT KodeCabang, (SELECT NamaCabang FROM tblcabang WHERE KodeCabang = tblmutasi.KodeCabang) AS NamaCabang, LunTipID, (SELECT LunasTipe FROM tblluntip WHERE ID = tblmutasi. LunTipID) AS LunasTipe, tblmutasi.Input_Oleh AS InputOleh , (SELECT User FROM tbluser WHERE UserID = tblmutasi.Input_Oleh) AS NamaUser FROM tblmutasi $wherecond $viewby $groupby";
		$sqlquery2 = DBQuery( $perintahdb2 );
		while( $sqlrow2 = DBFetchAssoc( $sqlquery2 ) ) {

			$subkredit = array();
			if ( $_POST['groupby'] == 1 ) {
				$wherecond2 = $wherecond . $viewby . " AND KodeCabang = " . $sqlrow2['KodeCabang'];
				$pdf->SubHeader( $sqlrow2['NamaCabang'] );
			} else if ( $_POST['groupby'] == 2 ) {
				$wherecond2 = $wherecond . $viewby . " AND LunTipID = " . $sqlrow2['LunTipID'];
				$pdf->SubHeader( $sqlrow2['LunasTipe'] );
			} else if ( $_POST['groupby'] == 3 ) {
				$wherecond2 = $wherecond . $viewby . " AND Input_Oleh = " . $sqlrow2['InputOleh'];
				$pdf->SubHeader( $sqlrow2['NamaUser'] );
			}

			$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Kredit AS Kredit, tblmutasi.Catatan AS Catatan, (SELECT NamaCabang FROM tblcabang WHERE KodeCabang = tblmutasi.KodeCabang) AS NamaCabang, (SELECT Nama FROM tblpelang WHERE ID = tblmutasi.PelangID) AS Nama, (SELECT LunasTipe FROM tblluntip WHERE ID = tblmutasi. LunTipID) AS LunasTipe, IF( Kredit > 0, 'Deduct', 'Top Up' ) as Catatan2, ( SELECT User FROM tbluser WHERE UserID = tblmutasi.Input_Oleh ) AS NamaInput";
			$perintahdb = "$select FROM tblmutasi $wherecond2 ORDER BY Input_DateTime ASC";
			$sqlquery = DBQuery( $perintahdb );
			while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {
				$subkredit[] = $sqlrow['Kredit'];
				$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Nama'] , $sqlrow['Catatan2'] . ( ( $sqlrow['Catatan'] != '' ) ? ' - ' . $sqlrow['Catatan'] : '' ), @ShowFormatDigitNumber($sqlrow['Kredit']), $sqlrow['LunasTipe'], $sqlrow['NamaInput']);	
			}
			if ( !$sqlquery ) {
				die($perintahdb);
			}
			$subtotal = array_sum($subkredit);
			$kredit[] = $subtotal;
			$pdf->subtotal ( @ShowFormatDigitNumber($subtotal) );
			@DBQueryFree($sqlquery);

		}
		$total = array_sum($kredit);
		$pdf->total ( @ShowFormatDigitNumber($total) );
		@DBQueryFree($sqlquery2);

	} else {

		$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Kredit AS Kredit, tblmutasi.Catatan AS Catatan, (SELECT NamaCabang FROM tblcabang WHERE KodeCabang = tblmutasi.KodeCabang) AS NamaCabang, (SELECT Nama FROM tblpelang WHERE ID = tblmutasi.PelangID) AS Nama, (SELECT LunasTipe FROM tblluntip WHERE ID = tblmutasi. LunTipID) AS LunasTipe, IF( Kredit > 0, 'Deduct', 'Top Up' ) as Catatan2, ( SELECT User FROM tbluser WHERE UserID = tblmutasi.Input_Oleh ) AS NamaInput";

		$perintahdb = "$select FROM tblmutasi $wherecond $viewby ORDER BY Input_DateTime ASC";
		$sqlquery = DBQuery( $perintahdb );
		while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {
			$kredit[] = $sqlrow['Kredit'];
			$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Nama'], $sqlrow['Catatan2'] . ( ( $sqlrow['Catatan'] != '' ) ? ' - ' . $sqlrow['Catatan'] : '' ), @ShowFormatDigitNumber($sqlrow['Kredit']), $sqlrow['LunasTipe'], $sqlrow['NamaInput']);
		}
		if ( !$sqlquery ) {
			die($sqlquery);
		}
		$total = array_sum($kredit);
		$pdf->total ( @ShowFormatDigitNumber($total) );
		@DBQueryFree($sqlquery);

	}

}

$pdf->Output('Deduct Report' . $detail .'.pdf','I');
?>